package J20250717.demo03_interface02;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo02
 * @description
 * 如果实现类只实现了一个接口，那么该接口中的默认方法，实现类可以不重写。
 * 如果实现类实现了两个接口，且接口中具有相同的默认方法，那么实现类必须重写默认方法
 * @create 2025/7/17
 */
public class Demo02 implements MyInter03,MyInter04{

    @Override
    public void method() {
        System.out.println("demo02重写后的默认方法");
    }
}
interface MyInter03{
    default void method(){
        System.out.println("03的默认方法");
    }
}
interface MyInter04{
    default void method(){
        System.out.println("04的默认方法");
    }
}